Acknowledge Anomaly Alert
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/anomalies/alerts/{alert_id}/acknowledge \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/anomalies/alerts/{alert_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/anomalies/alerts/{alert_id}/acknowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}anomalies
Acknowledge Anomaly Alert
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
anomalies
/
alerts
/
{alert_id}
/
acknowledge
Acknowledge Anomaly Alert
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/anomalies/alerts/{alert_id}/acknowledge \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/anomalies/alerts/{alert_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/anomalies/alerts/{alert_id}/acknowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
